# Create a saved search Create a new SavedSearch resource. Endpoint: POST /saved-searches Version: 2.0.0 Security: bearerToken ## Request fields (application/json): - `name` (string, required) Name of the [SavedSearch](#tag/Saved-Searches) Example: "My favourite search" - `emailUserOnNewUploads` (boolean, required) Whether to email the creator when a new upload matches the saved search criterion Example: true - `criterion` (any, required) - `sorts` (array, required) Sorts to be applied to the search in order of precedence - `sorts.field` (any, required) - `sorts.order` (string, required) The order of the sort Enum: "ASC", "DESC" ## Response 200 fields (application/json): - `id` (string, required) The unique ID of the [SavedSearch](#tag/Saved-Searches) Example: "1627573b-1273-441e-90d1-505d1f8ab47c" - `accountId` (string, required) The unique ID of the Account the [SavedSearch](#tag/Saved-Searches) belongs to Example: "cfb665ca-ce35-4418-b9d5-70ee815db4bd" - `creatorId` (string, required) The ID of the [User](#tag/Users) who created the [SavedSearch](#tag/Saved-Searches) Example: "google-oauth2|110955770826801837334" - `name` (string, required) Name of the [SavedSearch](#tag/Saved-Searches) Example: "My favourite search" - `emailUserOnNewUploads` (boolean, required) Whether to email the creator when a new upload matches the saved search criterion Example: true - `criterion` (any, required) - `sorts` (array, required) Sorts to be applied to the search in order of precedence - `sorts.field` (any, required) - `sorts.order` (string, required) The order of the sort Enum: "ASC", "DESC" ## Response 4XX fields (application/json): - `timestamp` (string) The datetime that the error occurred in ISO offset format Example: "2021-02-16T16:21:58.640+00:00" - `status` (integer) The HTTP status code of the error Example: 401 - `error` (string) The title of the error Example: "Unauthorized" - `message` (string) A more detailed error message - `path` (string) The path that was called which led to the error Example: "/folder-settings"